Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IParticleOnCurve

    java.lang.Object
      igeo.IDynamicsBase
          igeo.IParticle
              igeo.IParticleOnCurve

All Implemented Interfaces:
  IDynamics, IParameter, IParticleI, IParticleOnCurveI, ISubobject, ITransformable, IVecI, IVecOp

    public class IParticleOnCurve

extends IParticle
implements IParticleOnCurveI

Class of an implementation of IDynamics to have physical attributes of point on a cureve.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`ICurveI` | `curve`
`double` | `ufrc`
`double` | `upos`
`IVec` | `utan`
`double` | `uvel`

Fields inherited from class igeo.IParticle
`defaultFriction, fixed, frc, friction, mass, pos, vel`

Fields inherited from class igeo.IDynamicsBase
`parent, targets`

Constructor Summary
`IParticleOnCurve(ICurve curve)`
`IParticleOnCurve(ICurve curve, double u)`
`IParticleOnCurve(ICurve curve, double u, double uvl)`
`IParticleOnCurve(ICurve curve, double u, double uvl, IVec pos)`
`IParticleOnCurve(ICurve curve, double u, IVec pos)`
`IParticleOnCurve(ICurveI curve)`
`IParticleOnCurve(ICurveI curve, double u)`
`IParticleOnCurve(ICurveI curve, double u, double uvl)`
`IParticleOnCurve(ICurveI curve, double u, double uvl, IObject parent)`
`IParticleOnCurve(ICurveI curve, double u, double uvl, IPoint pt)`
`IParticleOnCurve(ICurveI curve, double u, double uvl, IPointR pt)`
`IParticleOnCurve(ICurveI curve, double u, double uvl, IVec pos)`
`IParticleOnCurve(ICurveI curve, double u, double uvl, IVec pos, IObject parent)`
`IParticleOnCurve(ICurveI curve, double u, IObject parent)`
`IParticleOnCurve(ICurveI curve, double u, IPoint pt)`
`IParticleOnCurve(ICurveI curve, double u, IPointR pt)`
`IParticleOnCurve(ICurveI curve, double u, IVec pos)`
`IParticleOnCurve(ICurveI curve, double u, IVec pos, IObject parent)`
`IParticleOnCurve(ICurveI curve, IObject parent)`
`IParticleOnCurve(ICurveI curve, IPoint pt)`
`IParticleOnCurve(ICurveI curve, IPointR pt)`
`IParticleOnCurve(ICurveI curve, IVec pos)`
`IParticleOnCurve(ICurveI curve, IVec pos, IObject parent)`
`IParticleOnCurve(ICurve curve, IVec pos)`
`IParticleOnCurve(IParticleOnCurve p)`
`IParticleOnCurve(IParticleOnCurve p, IObject parent)`
`IParticleOnCurve(IParticleOnCurve p, IVec pos)`
`IParticleOnCurve(IParticleOnCurve p, IVec pos, IObject parent)`

Method Summary
`IParticleOnCurve` | `add(double x, double y, double z)`
`IParticleOnCurve` | `add(double f, IVecI v)` scale add
`IParticleOnCurve` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnCurve` | `add(IDoubleI f, IVecI v)` scale add
`IParticleOnCurve` | `add(IVecI v)`
`IParticleOnCurve` | `add(IVecI v, double f)` scale add
`IParticleOnCurve` | `add(IVecI v, IDoubleI f)` scale add
`IParticleOnCurve` | `addForce(IVecI f)` adding force (alias of push)
`IParticleOnCurve` | `addUForce(double uforce)`
`IParticleOnCurve` | `cp()` cp() is alias of dup()
`IParticleOnCurve` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IParticleOnCurve` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
`IParticleOnCurve` | `cp(IVecI v)` cp() is alias of dup().add()
`ICurveI` | `curve()`
`IParticleOnCurve` | `decay(double d)`
`IParticleOnCurve` | `div(double v)`
`IParticleOnCurve` | `div(IDoubleI v)`
`IParticleOnCurve` | `dup()` duplicate the instance
`IParticleOnCurve` | `fix()` fix movement
`IParticleOnCurve` | `flip()` alias of neg()
`IParticleOnCurve` | `force(IVecI v)` set force
`IParticleOnCurve` | `frc(IVecI v)` set force
`IParticleOnCurve` | `fric(double friction)` set friction
`IParticleOnCurve` | `friction(double friction)` set friction
`void` | `interact(java.util.ArrayList<IDynamics> dynamics)` behavior definition of interaction with other dynamic objects.
`IParticleOnCurve` | `mass(double mass)` set mass
`IParticleOnCurve` | `mirror(double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnCurve` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnCurve` | `mirror(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnCurve` | `mirror(IVecI center, IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnCurve` | `mul(double v)`
`IParticleOnCurve` | `mul(IDoubleI v)`
`IParticleOnCurve` | `mv(double x, double y, double z)` mv() is alias of add()
`IParticleOnCurve` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
`IParticleOnCurve` | `mv(IVecI v)` mv() is alias of add()
`IParticleOnCurve` | `neg()`
`IParticleOnCurve` | `pos(IVecI v)` set position
`IParticleOnCurve` | `position(IVecI v)` set position
`IParticleOnCurve` | `pull(IVecI f)` adding negative force
`IParticleOnCurve` | `push(IVecI f)` adding force
`IParticleOnCurve` | `ref(double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnCurve` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnCurve` | `ref(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnCurve` | `ref(IVecI center, IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnCurve` | `reset()` setting force zero
`IParticleOnCurve` | `resetForce()` setting force zero (alias of reset())
`IParticleOnCurve` | `resetUForce()`
`IParticleOnCurve` | `rev()` alias of neg()
`IParticleOnCurve` | `rot(double angle)` rotation on XY plane
`IParticleOnCurve` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
`IParticleOnCurve` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
`IParticleOnCurve` | `rot(IDoubleI angle)` rotation on XY plane
`IParticleOnCurve` | `rot(IVecI axis, double angle)` rotation around axis vector
`IParticleOnCurve` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IParticleOnCurve` | `rot(IVecI axis, IVecI destDir)` Rotate to destination direction vector.
`IParticleOnCurve` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
`IParticleOnCurve` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center point
`IParticleOnCurve` | `rot(IVecI center, IVecI axis, IVecI destPt)` Rotate to destination point location.
`IParticleOnCurve` | `rot2(double angle)` rotation on xy-plane; alias of rot(double)
`IParticleOnCurve` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
`IParticleOnCurve` | `rot2(IDoubleI angle)` rotation on xy-plane; alias of rot(IDoubleI)
`IParticleOnCurve` | `rot2(IVecI destDir)` rotation on xy-plane towards destDir
`IParticleOnCurve` | `rot2(IVecI center, double angle)` rotation on xy-plane
`IParticleOnCurve` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane
`IParticleOnCurve` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane towards destPt
`IParticleOnCurve` | `scale(double f)` alias of mul
`IParticleOnCurve` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
`IParticleOnCurve` | `scale(IDoubleI f)` alias of mul
`IParticleOnCurve` | `scale(IVecI center, double f)` scale from a center
`IParticleOnCurve` | `scale(IVecI center, IDoubleI f)` scale from a center
`IParticleOnCurve` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
`IParticleOnCurve` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
`IParticleOnCurve` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IParticleOnCurve` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
`IParticleOnCurve` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
`IParticleOnCurve` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
`IParticleOnCurve` | `set(double x, double y, double z)`
`IParticleOnCurve` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnCurve` | `set(IVecI v)`
`IParticleOnCurve` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleOnCurve` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleOnCurve` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleOnCurve` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleOnCurve` | `shearXY(double sxy, double syx)` shear operation on XY
`IParticleOnCurve` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleOnCurve` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
`IParticleOnCurve` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleOnCurve` | `shearYZ(double syz, double szy)` shear operation on YZ
`IParticleOnCurve` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleOnCurve` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
`IParticleOnCurve` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleOnCurve` | `shearZX(double szx, double sxz)` shear operation on ZX
`IParticleOnCurve` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleOnCurve` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
`IParticleOnCurve` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleOnCurve` | `sub(double x, double y, double z)`
`IParticleOnCurve` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnCurve` | `sub(IVecI v)`
`IParticleOnCurve` | `transform(IMatrix3I mat)` transform with a transformation matrix
`IParticleOnCurve` | `transform(IMatrix4I mat)` transform with a transformation matrix
`IParticleOnCurve` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
`IParticleOnCurve` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
`IParticleOnCurve` | `translate(double x, double y, double z)` translate is alias of add()
`IParticleOnCurve` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
`IParticleOnCurve` | `translate(IVecI v)` alias of add()
`double` | `uforce()`
`IParticleOnCurve` | `uforce(double uf)`
`double` | `ufrc()`
`IParticleOnCurve` | `ufrc(double uf)`
`IParticleOnCurve` | `unfix()` unfix movement
`IParticleOnCurve` | `unit()` unitize
`void` | `update()` behavior definition of updating dynamics in each time frame
`double` | `upos()`
`IParticleOnCurve` | `upos(double u)`
`double` | `uposition()`
`IParticleOnCurve` | `uposition(double u)`
`IParticleOnCurve` | `upull(double uforce)`
`IParticleOnCurve` | `upush(double uforce)`
`IParticleOnCurve` | `ureset()`
`double` | `uvel()`
`IParticleOnCurve` | `uvel(double uv)`
`double` | `uvelocity()`
`IParticleOnCurve` | `uvelocity(double uv)`
`IParticleOnCurve` | `vel(IVecI v)` set velocity
`IParticleOnCurve` | `velocity(IVecI v)` set velocity
`IParticleOnCurve` | `x(double vx)` implementation of IVecI
`IParticleOnCurve` | `x(IDoubleI vx)` setting x component
`IParticleOnCurve` | `y(double vy)` setting y component
`IParticleOnCurve` | `y(IDoubleI vy)` setting y component
`IParticleOnCurve` | `z(double vz)` setting z component
`IParticleOnCurve` | `z(IDoubleI vz)` setting z component
`IParticleOnCurve` | `zero()` setting all zero

Methods inherited from class igeo.IParticle
`acc, acceleration, addForce, angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cross, cross, decay, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, force, frc, fric, friction, get, getX, getY, getZ, initParticle, initParticle, initParticle, isValid, len, len, len, len, len, len2, len2, len2, mass, mid, mid, nml, nml, nml, nml, pos, position, pull, push, sum, sum, sum, sum, sum, sum, sum, to2d, to4d, to4d, to4d, toString, vel, velocity, x, x, x, y, y, y, z, z, z`

Methods inherited from class igeo.IDynamicsBase
`initDynamicsBase, initDynamicsBase, initDynamicsBase, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, updateTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface igeo.IParticleI
`acc, acceleration, addForce, decay, force, frc, fric, friction, mass, pos, position, pull, push, vel, velocity`

Methods inherited from interface igeo.IVecI
`angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cross, cross, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, get, getX, getY, getZ, isValid, len, len, len, len, len, len2, len2, len2, mid, mid, nml, nml, nml, nml, sum, sum, sum, sum, sum, sum, sum, to2d, to4d, to4d, to4d, x, x, x, y, y, y, z, z, z`

Field Detail

### curve

    public ICurveI curve

### upos

    public double upos

### uvel

    public double uvel

### ufrc

    public double ufrc

### utan

    public IVec utan

Constructor Detail

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            double uvl)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            IVec pos)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            IVec pos)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            double uvl,
                            IVec pos)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            IObject parent)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            IObject parent)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            double uvl,
                            IObject parent)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            IVec pos,
                            IObject parent)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            IVec pos,
                            IObject parent)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            double uvl,
                            IVec pos,
                            IObject parent)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            IPoint pt)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            double uvl,
                            IPoint pt)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            IPoint pt)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            IPointR pt)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            IPointR pt)

### IParticleOnCurve

    public IParticleOnCurve(ICurveI curve,
                            double u,
                            double uvl,
                            IPointR pt)

### IParticleOnCurve

    public IParticleOnCurve(ICurve curve)

### IParticleOnCurve

    public IParticleOnCurve(ICurve curve,
                            double u)

### IParticleOnCurve

    public IParticleOnCurve(ICurve curve,
                            double u,
                            double uvl)

### IParticleOnCurve

    public IParticleOnCurve(ICurve curve,
                            IVec pos)

### IParticleOnCurve

    public IParticleOnCurve(ICurve curve,
                            double u,
                            IVec pos)

### IParticleOnCurve

    public IParticleOnCurve(ICurve curve,
                            double u,
                            double uvl,
                            IVec pos)

### IParticleOnCurve

    public IParticleOnCurve(IParticleOnCurve p)

### IParticleOnCurve

    public IParticleOnCurve(IParticleOnCurve p,
                            IVec pos)

### IParticleOnCurve

    public IParticleOnCurve(IParticleOnCurve p,
                            IObject parent)

### IParticleOnCurve

    public IParticleOnCurve(IParticleOnCurve p,
                            IVec pos,
                            IObject parent)

Method Detail

### dup

    public IParticleOnCurve dup()

  Description copied from interface: `ITransformable`
  duplicate the instance

  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IParticle`

### curve

    public ICurveI curve()

  Specified by:
    `curve` in interface `IParticleOnCurveI`

### fix

    public IParticleOnCurve fix()

  Description copied from interface: `IParticleI`
  fix movement

  Specified by:
    `fix` in interface `IParticleI`
  Overrides:
    `fix` in class `IParticle`

### unfix

    public IParticleOnCurve unfix()

  Description copied from interface: `IParticleI`
  unfix movement

  Specified by:
    `unfix` in interface `IParticleI`
  Overrides:
    `unfix` in class `IParticle`

### mass

    public IParticleOnCurve mass(double mass)

  Description copied from interface: `IParticleI`
  set mass

  Specified by:
    `mass` in interface `IParticleI`
  Overrides:
    `mass` in class `IParticle`

### position

    public IParticleOnCurve position(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `position` in interface `IParticleI`
  Overrides:
    `position` in class `IParticle`

### pos

    public IParticleOnCurve pos(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `pos` in interface `IParticleI`
  Overrides:
    `pos` in class `IParticle`

### velocity

    public IParticleOnCurve velocity(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `velocity` in interface `IParticleI`
  Overrides:
    `velocity` in class `IParticle`

### vel

    public IParticleOnCurve vel(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `vel` in interface `IParticleI`
  Overrides:
    `vel` in class `IParticle`

### force

    public IParticleOnCurve force(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `force` in interface `IParticleI`
  Overrides:
    `force` in class `IParticle`

### frc

    public IParticleOnCurve frc(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `frc` in interface `IParticleI`
  Overrides:
    `frc` in class `IParticle`

### friction

    public IParticleOnCurve friction(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `friction` in interface `IParticleI`
  Overrides:
    `friction` in class `IParticle`

### fric

    public IParticleOnCurve fric(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `fric` in interface `IParticleI`
  Overrides:
    `fric` in class `IParticle`

### decay

    public IParticleOnCurve decay(double d)

  Specified by:
    `decay` in interface `IParticleI`
  Overrides:
    `decay` in class `IParticle`

### push

    public IParticleOnCurve push(IVecI f)

  Description copied from class: `IParticle`
  adding force

  Specified by:
    `push` in interface `IParticleI`
  Overrides:
    `push` in class `IParticle`

### pull

    public IParticleOnCurve pull(IVecI f)

  Description copied from class: `IParticle`
  adding negative force

  Specified by:
    `pull` in interface `IParticleI`
  Overrides:
    `pull` in class `IParticle`

### addForce

    public IParticleOnCurve addForce(IVecI f)

  Description copied from class: `IParticle`
  adding force (alias of push)

  Specified by:
    `addForce` in interface `IParticleI`
  Overrides:
    `addForce` in class `IParticle`

### reset

    public IParticleOnCurve reset()

  Description copied from class: `IParticle`
  setting force zero

  Specified by:
    `reset` in interface `IParticleI`
  Overrides:
    `reset` in class `IParticle`

### resetForce

    public IParticleOnCurve resetForce()

  Description copied from class: `IParticle`
  setting force zero (alias of reset())

  Specified by:
    `resetForce` in interface `IParticleI`
  Overrides:
    `resetForce` in class `IParticle`

### uposition

    public IParticleOnCurve uposition(double u)

  Specified by:
    `uposition` in interface `IParticleOnCurveI`

### upos

    public IParticleOnCurve upos(double u)

  Specified by:
    `upos` in interface `IParticleOnCurveI`

### uposition

    public double uposition()

  Specified by:
    `uposition` in interface `IParticleOnCurveI`

### upos

    public double upos()

  Specified by:
    `upos` in interface `IParticleOnCurveI`

### uvelocity

    public IParticleOnCurve uvelocity(double uv)

  Specified by:
    `uvelocity` in interface `IParticleOnCurveI`

### uvel

    public IParticleOnCurve uvel(double uv)

  Specified by:
    `uvel` in interface `IParticleOnCurveI`

### uvelocity

    public double uvelocity()

  Specified by:
    `uvelocity` in interface `IParticleOnCurveI`

### uvel

    public double uvel()

  Specified by:
    `uvel` in interface `IParticleOnCurveI`

### uforce

    public IParticleOnCurve uforce(double uf)

  Specified by:
    `uforce` in interface `IParticleOnCurveI`

### ufrc

    public IParticleOnCurve ufrc(double uf)

  Specified by:
    `ufrc` in interface `IParticleOnCurveI`

### uforce

    public double uforce()

  Specified by:
    `uforce` in interface `IParticleOnCurveI`

### ufrc

    public double ufrc()

  Specified by:
    `ufrc` in interface `IParticleOnCurveI`

### addUForce

    public IParticleOnCurve addUForce(double uforce)

  Specified by:
    `addUForce` in interface `IParticleOnCurveI`

### resetUForce

    public IParticleOnCurve resetUForce()

  Specified by:
    `resetUForce` in interface `IParticleOnCurveI`

### upush

    public IParticleOnCurve upush(double uforce)

  Specified by:
    `upush` in interface `IParticleOnCurveI`

### upull

    public IParticleOnCurve upull(double uforce)

  Specified by:
    `upull` in interface `IParticleOnCurveI`

### ureset

    public IParticleOnCurve ureset()

  Specified by:
    `ureset` in interface `IParticleOnCurveI`

### interact

    public void interact(java.util.ArrayList<IDynamics> dynamics)

  Description copied from class: `IDynamicsBase`
  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`
  Overrides:
    `interact` in class `IParticle`

### update

    public void update()

  Description copied from class: `IDynamicsBase`
  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`
  Overrides:
    `update` in class `IParticle`

### x

    public IParticleOnCurve x(double vx)

  implementation of IVecI

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticle`

### y

    public IParticleOnCurve y(double vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticle`

### z

    public IParticleOnCurve z(double vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticle`

### x

    public IParticleOnCurve x(IDoubleI vx)

  Description copied from interface: `IVecI`
  setting x component

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticle`

### y

    public IParticleOnCurve y(IDoubleI vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticle`

### z

    public IParticleOnCurve z(IDoubleI vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticle`

### set

    public IParticleOnCurve set(IVecI v)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### set

    public IParticleOnCurve set(double x,
                                double y,
                                double z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### set

    public IParticleOnCurve set(IDoubleI x,
                                IDoubleI y,
                                IDoubleI z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### add

    public IParticleOnCurve add(double x,
                                double y,
                                double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleOnCurve add(IDoubleI x,
                                IDoubleI y,
                                IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleOnCurve add(IVecI v)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### sub

    public IParticleOnCurve sub(double x,
                                double y,
                                double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### sub

    public IParticleOnCurve sub(IDoubleI x,
                                IDoubleI y,
                                IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### sub

    public IParticleOnCurve sub(IVecI v)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### mul

    public IParticleOnCurve mul(IDoubleI v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticle`

### mul

    public IParticleOnCurve mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticle`

### div

    public IParticleOnCurve div(IDoubleI v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticle`

### div

    public IParticleOnCurve div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticle`

### neg

    public IParticleOnCurve neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`
  Overrides:
    `neg` in class `IParticle`

### rev

    public IParticleOnCurve rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`
  Overrides:
    `rev` in class `IParticle`

### flip

    public IParticleOnCurve flip()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`
  Overrides:
    `flip` in class `IParticle`

### zero

    public IParticleOnCurve zero()

  Description copied from interface: `IVecI`
  setting all zero

  Specified by:
    `zero` in interface `IVecI`
  Overrides:
    `zero` in class `IParticle`

### add

    public IParticleOnCurve add(IVecI v,
                                double f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleOnCurve add(IVecI v,
                                IDoubleI f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleOnCurve add(double f,
                                IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleOnCurve add(IDoubleI f,
                                IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### unit

    public IParticleOnCurve unit()

  Description copied from interface: `IVecI`
  unitize

  Specified by:
    `unit` in interface `IVecI`
  Overrides:
    `unit` in class `IParticle`

### rot

    public IParticleOnCurve rot(IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(double angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(IVecI axis,
                                IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(IVecI axis,
                                double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(double axisX,
                                double axisY,
                                double axisZ,
                                double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(IVecI center,
                                IVecI axis,
                                double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(IVecI center,
                                IVecI axis,
                                IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(double centerX,
                                double centerY,
                                double centerZ,
                                double axisX,
                                double axisY,
                                double axisZ,
                                double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(IVecI axis,
                                IVecI destDir)

  Rotate to destination direction vector.

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleOnCurve rot(IVecI center,
                                IVecI axis,
                                IVecI destPt)

  Rotate to destination point location.

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot2

    public IParticleOnCurve rot2(double angle)

  rotation on xy-plane; alias of rot(double)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleOnCurve rot2(IDoubleI angle)

  rotation on xy-plane; alias of rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleOnCurve rot2(IVecI center,
                                 double angle)

  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleOnCurve rot2(IVecI center,
                                 IDoubleI angle)

  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleOnCurve rot2(double centerX,
                                 double centerY,
                                 double angle)

  rotation on xy-plane

  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleOnCurve rot2(IVecI destDir)

  rotation on xy-plane towards destDir

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleOnCurve rot2(IVecI center,
                                 IVecI destPt)

  rotation on xy-plane towards destPt

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### scale

    public IParticleOnCurve scale(IDoubleI f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleOnCurve scale(double f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleOnCurve scale(IVecI center,
                                  IDoubleI f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleOnCurve scale(IVecI center,
                                  double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleOnCurve scale(double centerX,
                                  double centerY,
                                  double centerZ,
                                  double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale1d

    public IParticleOnCurve scale1d(IVecI axis,
                                    double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleOnCurve scale1d(IVecI axis,
                                    IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleOnCurve scale1d(double axisX,
                                    double axisY,
                                    double axisZ,
                                    double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleOnCurve scale1d(IVecI center,
                                    IVecI axis,
                                    double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleOnCurve scale1d(IVecI center,
                                    IVecI axis,
                                    IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleOnCurve scale1d(double centerX,
                                    double centerY,
                                    double centerZ,
                                    double axisX,
                                    double axisY,
                                    double axisZ,
                                    double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### ref

    public IParticleOnCurve ref(IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleOnCurve ref(double planeX,
                                double planeY,
                                double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleOnCurve ref(IVecI center,
                                IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleOnCurve ref(double centerX,
                                double centerY,
                                double centerZ,
                                double planeX,
                                double planeY,
                                double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### mirror

    public IParticleOnCurve mirror(IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleOnCurve mirror(double planeX,
                                   double planeY,
                                   double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleOnCurve mirror(IVecI center,
                                   IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleOnCurve mirror(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double planeX,
                                   double planeY,
                                   double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### shear

    public IParticleOnCurve shear(double sxy,
                                  double syx,
                                  double syz,
                                  double szy,
                                  double szx,
                                  double sxz)

  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleOnCurve shear(IDoubleI sxy,
                                  IDoubleI syx,
                                  IDoubleI syz,
                                  IDoubleI szy,
                                  IDoubleI szx,
                                  IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleOnCurve shear(IVecI center,
                                  double sxy,
                                  double syx,
                                  double syz,
                                  double szy,
                                  double szx,
                                  double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleOnCurve shear(IVecI center,
                                  IDoubleI sxy,
                                  IDoubleI syx,
                                  IDoubleI syz,
                                  IDoubleI szy,
                                  IDoubleI szx,
                                  IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shearXY

    public IParticleOnCurve shearXY(double sxy,
                                    double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleOnCurve shearXY(IDoubleI sxy,
                                    IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleOnCurve shearXY(IVecI center,
                                    double sxy,
                                    double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleOnCurve shearXY(IVecI center,
                                    IDoubleI sxy,
                                    IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearYZ

    public IParticleOnCurve shearYZ(double syz,
                                    double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleOnCurve shearYZ(IDoubleI syz,
                                    IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleOnCurve shearYZ(IVecI center,
                                    double syz,
                                    double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleOnCurve shearYZ(IVecI center,
                                    IDoubleI syz,
                                    IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearZX

    public IParticleOnCurve shearZX(double szx,
                                    double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleOnCurve shearZX(IDoubleI szx,
                                    IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleOnCurve shearZX(IVecI center,
                                    double szx,
                                    double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleOnCurve shearZX(IVecI center,
                                    IDoubleI szx,
                                    IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### translate

    public IParticleOnCurve translate(double x,
                                      double y,
                                      double z)

  translate is alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### translate

    public IParticleOnCurve translate(IDoubleI x,
                                      IDoubleI y,
                                      IDoubleI z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### translate

    public IParticleOnCurve translate(IVecI v)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### transform

    public IParticleOnCurve transform(IMatrix3I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleOnCurve transform(IMatrix4I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleOnCurve transform(IVecI xvec,
                                      IVecI yvec,
                                      IVecI zvec)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleOnCurve transform(IVecI xvec,
                                      IVecI yvec,
                                      IVecI zvec,
                                      IVecI translate)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### mv

    public IParticleOnCurve mv(double x,
                               double y,
                               double z)

  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### mv

    public IParticleOnCurve mv(IDoubleI x,
                               IDoubleI y,
                               IDoubleI z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### mv

    public IParticleOnCurve mv(IVecI v)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### cp

    public IParticleOnCurve cp()

  cp() is alias of dup()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleOnCurve cp(double x,
                               double y,
                               double z)

  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleOnCurve cp(IDoubleI x,
                               IDoubleI y,
                               IDoubleI z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleOnCurve cp(IVecI v)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD